package com.usky.system.service;

import com.usky.common.mybatis.core.CrudService;
import com.usky.system.domain.SysMenu;
import com.usky.system.domain.SysMobileMenu;
import com.usky.system.domain.SysPlatformMenu;
import com.usky.system.service.vo.TenantMenuVo;
import com.usky.system.service.vo.MobileTenantMenuVO;

import java.util.List;
import java.util.Map;

/**
 * <p>
 * 平台和菜单关联表 服务类
 * </p>
 *
 * @author ya
 * @since 2022-05-18
 */
public interface SysPlatformMenuService extends CrudService<SysPlatformMenu> {

    List<SysMenu> getPlatformMenuList(Integer platformId);

    List<SysMobileMenu> getMobilePlatformMenuList(Integer platformId);

    Long[] selectPlatformMenu(Integer tenantId);

    Long[] selectMobilePlatformMenu(Integer tenantId);

    Map<String, Object> getMenuList(Integer platformId, Integer tenantId);

    void updateMenu(TenantMenuVo tenantMenuVo);

    void updateMobileMenu(MobileTenantMenuVO mobileTenantMenuVO);
}
